

using Amazon.Rekognition;
using Amazon.Rekognition.Model;
using System;
using System.Collections.Generic;

//*****************************************************************************************
//Il s'agit d'un programme à exécuter en mode console après avoir ouvert une session Amazon
//*****************************************************************************************

namespace appAge
{
	public class prog
    { 
        public static void Age()
        {
			//******************************************************************
			//Indiquer votre image et le compartiment dans lequel elle se trouve
			//******************************************************************
            String photo = "";
            String comp = "";

			//Creation d'un client Rekognition
            AmazonRekognitionClient rekCli = new AmazonRekognitionClient();

			//Création d'une requête de détection de visage
            DetectFacesRequest detectVisageReq = new DetectFacesRequest()
            {
                Image = new Image()
                {
                    S3Object = new S3Object()
                    {
                        Name = photo,
                        Bucket = comp
                    },
                },

                Attributes = new List<String>() { "ALL" }
            };
            try
            {
				//Lancement de la détection de visage
                DetectFacesResponse detectVisageResp = rekCli.DetectFaces(detectVisageReq);
                if (detectVisageReq.Attributes.Contains("ALL"))
                {
                    foreach (FaceDetail det in detectVisageResp.FaceDetails)
                    {
                        Console.WriteLine("L'âge de cette personne est estimé entre " + det.AgeRange.Low + " et " + det.AgeRange.High + " ans.");
                    }
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }

        static void Main(string[] args)
        {
            Age();
        }
    }
}
